%global git_date  20221113
%global git_hash  f5f6ab3
%global git_ver  0.7

%global rel  3

%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz

%define debug_package %{nil}

Name:       tbsm
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:    A pure bash session or application launcher. Inspired by cdm, tdm and krunner

License:    GPLv2
URL:        https://github.com/loh-tar/tbsm
Source0:	%{url}/%{src_name}

BuildRequires:  make
Requires:       bash

%description
tbsm is an application or session launcher, written in pure bash with no ncurses or dialog dependencies. It is inspired by cdm, tdm, in some way by krunner and related.

%prep
%autosetup -n %{name}


%build
%make_build

%install
%make_install

%files
%doc README.md
%license license
%{_bindir}/tbsm
%{_docdir}/tbsm/*
/etc/xdg/tbsm/*

%changelog
